package cn.iocoder.yudao.module.system.enums.wait;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 任务状态(0：未开始、1：前往等待点、2：已到达等待点、3：已离开等待点)
 */
@Getter
@AllArgsConstructor
public enum WaitStatusEnum {
    UN_START(0,"未开始"),
    GO_TO_WAIT(1,"前往等待点"),
    REACH_WAIT(2,"已到达等待点"),
    LEAVE_WAIT(3,"已离开等待点");
    /**
     * 类型
     */
    private final Integer type;

    private final String msg;
}
